using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class PageExceptionTest : System.Web.UI.Page
{
   protected void Page_Load(object sender, EventArgs e)
   {
      BuggyMethod();   
   }

   private void BuggyMethod()
   {
     // Rozmyślne zgłoszenie wyjątku w celu 
     // zasymulowania nieprzechwyconego wyjątku.
     throw new ApplicationException(
       "Nasz błędny kod zgłosił wyjątek.");
   }

   private void Page_Error(object sender, EventArgs e)
   {
     Exception ex = Server.GetLastError();
     Response.Write("<h1>Wystąpił błąd</h1>");
     Response.Write("<h2>" + ex.Message + "</h2>");
     Response.Write("<pre>" + ex.StackTrace + "</pre>");
     Context.ClearError();
   }
 }
